Public Class FrmBesteSpieler
    ' wichtig!!!
    ' zu dieser form gehört das modul modBesteSpieler
    ' und das modul modDateiBeste
    '-------------------------------
    Public booNurAnsehen As Boolean       '--- 000
    Private Sub FrmBesteSpieler_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        CmdLoeschen.Text = "&Alle Einträge löschen" : CmdOk.Text = "&OK"
        LblSpiel.Text = "Rechenkünstler"     '### hier anpasst
        If booNurAnsehen Then
            CmdLoeschen.Enabled = False
        Else
            CmdLoeschen.Enabled = True
        End If
    End Sub
    Private Sub CmdOk_Click(sender As Object, e As EventArgs) Handles CmdOk.Click
        '--
        If booNurAnsehen Then
            Close()
        Else       ' in datei speichern
            SpeichereDatenBesteSpieler()               '000
            Close() '-- sub im modul modDateiZugriff
        End If
    End Sub

    Private Sub CmdLoeschen_Click(sender As Object, e As EventArgs) Handles CmdLoeschen.Click
        '--
        Dim strMeldung As String = "Bist Du sicher," & vbCrLf &
      "dass Du alle Einträge löschen möchtest?" & vbCrLf & vbCrLf &
      "Hinweis:" & vbCrLf &
      "Alle Einträge werden auf Standardwerte gesetzt." & vbCrLf &
      "Dein Eintrag in die Liste ist danach nicht mehr möglich!"

        Dim strTitel As String = "Listeneinträge löschen"
        Dim Buttons As MessageBoxButtons = MessageBoxButtons.YesNo
        Dim Icon As MessageBoxIcon = MessageBoxIcon.Warning
        Dim DefaultButton As MessageBoxDefaultButton = MessageBoxDefaultButton.Button2
        Dim intResultat As DialogResult
        intResultat = MessageBox.Show(strMeldung, strTitel, Buttons, Icon, DefaultButton)
        If intResultat = DialogResult.Yes Then
            ' ErzeugeNeueDateiBesteSpieler()    '000
            'LeseDatenBesterSpieler()           '000
            Close()
        End If
    End Sub
End Class